export interface ClippedVideo {
  contentType: string;
  content: Buffer;
}

export type ClipFunction = (clipVideoParams: ClipVideoParams) => Promise<ClippedVideo>;
export const FILE_TYPES: Record<string, string> = {
  mkv: 'video/x-matroska',
  webm: 'video/webm',
  mp4: 'video/mp4',
};

export interface CreateClipperParams {
  downloaderExecutablePath: string;
}

export interface ClipVideoParams {
  url: string;
  start?: number | string;
  end?: number | string;
}
