export const convertSecondsToDuration = (s: number) => {
  const milliseconds = (s - Math.floor(s)) * 1000;
  const seconds = s % 60;
  const minutes = Math.floor(s / 60) % 60;
  const hours = Math.floor(s / 3600);
  const sss = milliseconds.toString().padStart(3, '0');
  const ss = seconds.toString().padStart(2, '0');
  const mm = minutes.toString().padStart(2, '0');
  const hh = hours.toString().padStart(2, '0');
  return `${hh}:${mm}:${ss}.${sss}`;
};

export const convertDurationToSeconds = (d: string) => {
  const [hh, mm, ss] = d.split(':');
  return (Number(hh) * 3600) + (Number(mm) * 60) + Number(ss);
};
